Add a payment plan to a profile
Creates a payment plan for a profile from a template. The template_id and context_id (the class ID the plan is associated with) are required. The plan will be pre-populated with the fee schedule defined in the template.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
Body
required
application/json
- Type: objectpayment
_plan required
Responses
- 201
Successful response.
- application/json
- application/json
- application/json
Request Example for post/apis/payments/profiles/{profile_id}/plans
curl https://ff-business-school.fullfabric.cloud/apis/payments/profiles/507f1f77bcf86cd799439011/plans \
--request POST \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"payment_plan": {
"template_id": "65f2feb43b5d001c4a0014ec",
"context_id": "6385bb46976a771912003e6a"
}
}'
No Body